traits-inl.h File Reference
`#include <string>`
`#include "hwy/contrib/sort/shared-inl.h"`
`#include "hwy/contrib/sort/vqsort.h"`
`#include "hwy/highway.h"`
`#include "hwy/print.h"`

Go to the source code of this file.

## Classes

struct | hwy::HWY_NAMESPACE::detail::KeyLane< T >
struct | hwy::HWY_NAMESPACE::detail::OrderAscending< T >
struct | hwy::HWY_NAMESPACE::detail::OrderDescending< T >
struct | hwy::HWY_NAMESPACE::detail::TraitsLane< Order >

## Namespaces

namespace | hwy
namespace | hwy::HWY_NAMESPACE
namespace | hwy::HWY_NAMESPACE::detail

## Functions

| HWY_BEFORE_NAMESPACE ()
| HWY_AFTER_NAMESPACE ()

## Function Documentation

## HWY_AFTER_NAMESPACE()

HWY_AFTER_NAMESPACE | ( |  | ) |

## HWY_BEFORE_NAMESPACE()

HWY_BEFORE_NAMESPACE | ( |  | ) |